Skip to content

Deprecated Endpoints

All requests require clientID and developerAPIKey parameters for authentication.

Base URL: https://api-sandboxdash.norcapsecurities.com

Endpoints


POST /v3/addCustodyAccountSupplement

Deprecated

This endpoint is deprecated and may be removed in a future version.

This method is used to request a custodial account. This is the first step to opening a custodial account through North Capital Private Securities. This is specifically for IRA accounts.

Parameters

Parameter Type Required Description
accountId string Yes Account ID that is generated by the API once an account is created (createAccount)
appointmentOfInvestmentManager string No 1 - I/We wish to appoint an investment manager. Complete Part 1A 2 - No appointment at this time
proxyVotingPreferences string No 1 - Receive all proxy materials 2 - Send all proxy marterials to an investment manager 3 - Do not send proxy material
otherServices string No Please provide the details of the other services required.
methodOfContributionOrFunding string No 1 - Transfer Direct movement of assets from an IRA into this IRA 2 - Regular Contribution Includes catch-up contributions. 3 - Roth Conversion A taxable movement from a Traditional or Simple IRA into this Roth IRA. By selecting this transaction, you irrevocably designate this contribution as a conversion. 4 - Rollover Distribution from an IRA or eligible employersponsored retirement plan that is being deposited into this IRA. By selecting this transaction, you irrevocably designate this contribution as a rollover. 5 - SEP Contribution Contribution made under a SEP plan. SEP contributions are reported for the year in which the contribution is made
methodOfContributionTaxYear string No If "methodOfContributionOrFunding is option 2 - this is required to complete "Contribution for Tax Year 'YYYY'.
internationalAccountNumber string No If the account is an international account, please include the account number here.
bankFirmName1 string No Name of the bank/firm where the assets are currently held.
bankCountry1 string No Country of the bank/firm where the assets are currently held.
bankAccountNumber1 string No Account number of the account where the assets are currently held.
bankFirmName2 string No Name of the bank/firm where the assets are currently held.
bankCountry2 string No Country of the bank/firm where the assets are currently held.
bankAccountName2 string No Name on the account where the assets are currently held.
bankAccountNumber2 string No Account number of the account where the assets are currently held.
maritalStatus conditional Yes 1 - Not married. 2 - Married If you designate a primary benefiicary other than or in addition to your spouse, spousal consent may be required.
mailingAddressLine1 string Yes Mailing Address Line 1
mailingAddressLine2 string No Mailing Address Line 2
mailingCity string Yes Mailing Address City
mailingState string Yes Mailing Address State
mailingZipCode string Yes Mailing Address Zip Code
mailingCountry string Yes Mailing Address Country

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/addCustodyAccountSupplement
-d clientID=someclientid
-d developerAPIKey=someclientid
-d accountId=someaccountid
-d proxyVotingPreferences=proxyVotingPreferences
-d otherServices=otherServices
-d methodOfContributionOrFunding=type
-d methodOfContributionTaxYear=some year
-d internationalAccountNumber=internationalAccountNumber
-d bankFirmName1=bankFirmName1
-d bankCountry1=bankCountry1
-d bankAccountName1=bankAccountName1
-d bankAccount Number1=bankAccount Number1
-d bankFirmName2=bankFirmName
-d bankCountry2=bankCountry
-d bankAccountName2=bankAccountName
-d bankAccountNumber2=bankAccountNumber
-d maritalStatus=1
-d mailingAddressLine1=Mailing Address Line 1
-d mailingAddressLine2=Mailing Address Line 2
-d mailingCity=Mailing Address City
-d mailingState=Mailing Address State
-d mailingZipCode=Mailing Address Zip Code
-d mailingCountry=Mailing Address Country

Response

Field Type Description
accountDetails string An array of custodial account includes all information of the custodial account

Example Response

{
  "statusCode": "101",
  "statusDesc": "Account added successfully.",
  "accountDetails": [
    {
      "accountId": "A3110006",
      "appointmentOfInvestmentManager": "",
      "proxyVotingPreferences": "",
      "otherServices": "",
      "methodOfContributionOrFunding": "",
      "methodOfContributionTaxYear": "",
      "internationalAccountNumber": "",
      "bankFirmName1": "",
      "bankCountry1": "",
      "bankAccountName1": "",
      "bankAccountNumber1": "",
      "bankFirmName2": "",
      "bankCountry2": "",
      "bankAccountName2": "",
      "bankAccountNumber2": "",
      "maritalStatus": "married",
      "mailingAddressLine1": "",
      "mailingAddressLine2": "",
      "mailingCity": "",
      "mailingState": "",
      "mailingZipCode": "",
      "mailingCountry": ""
    }
  ]
}

POST /v3/addCustodyPartySupplement

Deprecated

This endpoint is deprecated and may be removed in a future version.

This method is used to add additional fields that may be required in order to open a custodial account through North Capital Private Securities.

Parameters

Parameter Type Required Description
partyId string Yes Party ID that is generated by the API once an party is created (createParty)
relationship string No The party's relationship to the account owner. Put "owner" if this is the account owner.
salutation conditional No 1 - Mr. 2 - Mrs. 3 - Ms. 4 - Dr.
countryOfCitizenship string No Party's country of citizenship.
authorizedSigner conditional No Is this party the authorized signer for the account? 1 - Yes 2 - No
controlPerson conditional No Is this party a control person for the account? 1 - Yes 2 - No
politicallyExposedPerson conditional No Is this person considered a politically exposed person? 1 - Yes 2 - No
politicallyExposedPersonDetails string No If the person selects "Yes" that they are a politically exposed person, then this field is required. Please provide the details of the politically exposed person.
beneficiaryType conditional No If this party is a beneficiary for the account, please provide if they are a 1 - Spouse 2 - Non-Spouse 3 - Trust/Entity beneficiary type
beneficiaryPercentage integer No If this party is a beneficiary for the account, please provide the percentage.
mailingAddressLine1 string No Mailing Address Line 1
mailingAddressLine2 string No Mailing Address Line 2
mailingCity string No Mailing Address City
mailingState string No Mailing Address State
mailingZipCode string No Mailing Address Zip Code
mailingCountry string No Mailing Address Country
publicCompany string No Is this party associated with a public company? 1 - Yes 2 - No
companyTicker string No Company Ticker if public company association is "1 - Yes"
associatedFirm string No If the party is associated with a broker dealer, please indicate the name of the Associated Firm

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/addCustodyPartySupplement
-d clientID=someclientid
-d developerAPIKey=somedeveloperKey
-d partyId=somepartyid
-d relationship=owner
-d salutation=Mr
-d countryOfCitizenship=citizenship
-d authorizedSigner=yes
-d controlPerson=yes
-d politicallyExposedPerson=yes
-d politicallyExposedPersonDetails=some details
-d beneficiaryType=Spouse
-d beneficiaryPercentage=some details
-d mailingAddressLine1=address1
-d mailingAddressLine2=address2
-d mailingCity=city
-d mailingState=state
-d mailingZipCode=54321
-d mailingCountry=US
-d publicCompany=yes
-d mailingCountry=test
-d associatedFirm=test

Response

Field Type Description
partyDetails string An array of party details

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "partyDetails": [
    {
      "partyId": "P43256"
    }
  ]
}

POST /v3/recordAttestation

Deprecated

This endpoint is deprecated and may be removed in a future version.

This method is used to record when a party attests to North Capital account terms and conditions.

Parameters

Parameter Type Required Description
accountId string Yes Account ID that is generated by the API once an account is created (createAccount).
attest string Yes "1" (accepted) or "0" (not accepted)
attestName string Yes Attestname (recordAttestation)

Example Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/v3/recordAttestation
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d accountId=A2624258

Response

Field Type Description
orderDetails string orderDetails of the matched recordAttestation

Example Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "orderDetails": {
    "Attest": "false",
    "Created date": "2023-11-20 11:49:30",
    "Attest Name": "Test attestName false",
    "Account ID": "A2624258"
  }
}

POST /v3/requestCustodialAccount

Deprecated

This endpoint is deprecated and may be removed in a future version.

This is a deprecated function. Please use createCustodyAccountRequest instead.


POST /v3/updateCustodialAccountRequest

Deprecated

This endpoint is deprecated and may be removed in a future version.

This method has been deprecated. Please use updateCustodyAccountRequest (see Custodial Accounts) instead.